rem =====================================
rem MAP Launcher Batch File v1.0
rem Feel free to use in your own programs
rem =====================================

echo off
cls
echo Map Launcher Batch File v1.0 by MattCake (UK)
echo =============================================
echo.
echo Scanning for necessary files...
echo.
if not exist ftwoapp1.map echo Can't find ftwoapp1.map
if not exist ftwoapp2.map echo Can't find ftwoapp2.map
if not exist ftwoap.con echo Can't find ftwoap.con
if not exist ftwoap.art echo Can't find ftwoap.art
if not exist ftwoap.dmo echo Can't find ftwoap.dmo
echo.
echo Backing up original user.con,demo1.dmo and tiles014.art files...
copy /y user.con userbu.con
copy /y demo1.dmo demo1bu.dmo
if exist tiles014.art copy /y tiles014.art tilesbu.art
echo Done.
echo.
echo Initializing new user.con, demo1.dmo and tiles014.art files...
copy /y ftwoap.con user.con
copy /y ftwoap.dmo demo1.dmo
copy /y ftwoap.art tiles014.art
echo Done.
echo.
echo Now ready to play, hope you enjoy From The Wing Of A Plane
echo.
echo By MattCake (UK), E-Mail 101502.1440@compuserve.com
echo.
pause
cls
duke3d
echo off
cls
echo Restoring original user.con,demo1.dmo and tiles014.art files...
copy /y userbu.con user.con
copy /y demo1bu.dmo demo1.dmo
if exist tilesbu.art copy /y tilesbu.art tiles014.art
if NOT exist tilesbu.art erase tiles014.art
echo Done.
echo.
echo Deleting Temporary Files...
erase userbu.con
erase demo1bu.dmo
if exist tilesbu.art erase tilesbu.art
echo Done.
echo.
echo Thanks for playing From The Wing Of A Plane
echo.
echo Please send comments to MattCake (UK) at 101502.1440@compuserve.com
echo.
echo Bye Bye
echo.


